← Back to API Reference

/customization_elements

Tag: customization_elements

getModular customization objects for the personalization engine

Parameters

NameInTypeFormatRequiredDescription
idquerystring
namequerystring
codequerystring
element_typequerystring
constraintsquerystring
default_stylesquerystring
allowed_placementsquerystring
default_placementquerystring
descriptionquerystring
is_activequerystring
sort_orderquerystring
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystring
selectquerystringFiltering Columns
orderquerystringOrdering
RangeheaderstringLimiting and Pagination
Range-UnitheaderstringLimiting and Pagination
offsetquerystringLimiting and Pagination
limitquerystringLimiting and Pagination
PreferheaderstringPreference

Example

bash
curl "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/customization_elements?select=*&limit=10" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

200OK
206Partial Content

postModular customization objects for the personalization engine

Parameters

NameInTypeFormatRequiredDescription
customization_elementsbodyobjectcustomization_elements
selectquerystringFiltering Columns
PreferheaderstringPreference

Example

bash
curl -X POST "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/customization_elements" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{
  "name": "example",
  "code": "example",
  "element_type": "example",
  "constraints": {},
  "default_styles": {}
}'

Responses

201Created

patchModular customization objects for the personalization engine

Parameters

NameInTypeFormatRequiredDescription
idquerystring
namequerystring
codequerystring
element_typequerystring
constraintsquerystring
default_stylesquerystring
allowed_placementsquerystring
default_placementquerystring
descriptionquerystring
is_activequerystring
sort_orderquerystring
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystring
customization_elementsbodyobjectcustomization_elements
PreferheaderstringPreference

Example

bash
curl -X PATCH "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/customization_elements?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{"name": "example"}'

Responses

204No Content

deleteModular customization objects for the personalization engine

Parameters

NameInTypeFormatRequiredDescription
idquerystring
namequerystring
codequerystring
element_typequerystring
constraintsquerystring
default_stylesquerystring
allowed_placementsquerystring
default_placementquerystring
descriptionquerystring
is_activequerystring
sort_orderquerystring
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystring
PreferheaderstringPreference

Example

bash
curl -X DELETE "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/customization_elements?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

204No Content

Schema

Modular customization objects for the personalization engine

ColumnTypeFormatNullableDefaultNotes
idPK
stringuuidextensions.uuid_generate_v4()This is a Primary Key.
name
stringtext
code
stringtext
element_type
stringtext
constraints
objectjsonb
default_styles
objectjsonb
allowed_placements
arraytext[]
default_placement
stringtext
description
stringtext
is_active
booleanboolean
sort_order
integerinteger0
created_by
stringuuid
created_at
stringtimestamp with time zonenow()
updated_at
stringtimestamp with time zonenow()
deleted_at
stringtimestamp with time zone